"""
Identifier:     ifs_sim/tests/test_ifs_sim.py
Name:           test_ifs_sim.py
Description:    Test ifs sim.
Author:         Zhaojun Yan
Created:        2024-04-09
Modified-History:
    2024-04-09, Zhaojun Yan, created

"""

import unittest
import os
from csst_ifs_sim import csst_ifs_sim
import subprocess

class TestDemoFunction(unittest.TestCase):
    def test_ifs_sim_1(self):
        """
        Aim
        ---
        Test ifs sim function: SCI case.

        Criteria
        --------
        Pass if the demo function returns `1`.

        Details
        -------
        The demo function returns the length of the input argument list.
        This case aims to test whether the demo function returns `1` if input is `None`.
        """
        # demo function test
        dir_path = os.path.join(os.environ['UNIT_TEST_DATA_ROOT'],'ifs_sim/')
        print(dir_path)
        configfile = dir_path+'IFS_data/IFS_sim_C90.config'
        skyfitsin = dir_path+'IFS_inputdata/FengshuaiData/NGC6397_S6102.fits'
        sourcein = 'SCI'
        csst_ifs_sim.runIFSsim(sourcein, skyfitsin, configfile, 1, 'no')
        self.assertEqual(
            1 , 1,
            "case 1: SCI sim passes.",
        )
        
        
    # def test_ifs_sim_2(self):
    #     """
    #     Aim
    #     ---
    #     Test ifs sim function: BIAS case.

    #     Criteria
    #     --------
    #     Pass if the demo function returns `1`.

    #     Details
    #     -------
    #     The demo function returns the length of the input argument list.
    #     This case aims to test whether the demo function returns `1` if input is `None`.
    #     """
    #     # demo function test
    #     dir_path=os.path.join(os.environ['UNIT_TEST_DATA_ROOT'],'ifs_sim')
        
    #     csst_ifs_sim(dir_path,BIAS)
        
    #     self.assertTrue(
    #         1 == 1,
    #         "case 2 :BIAS sim passes.",
    #     )
        
    # def test_ifs_sim_3(self):
    #     """
    #     Aim
    #     ---
    #     Test ifs sim function: DARK case.

    #     Criteria
    #     --------
    #     Pass if the demo function returns `1`.

    #     Details
    #     -------
    #     The demo function returns the length of the input argument list.
    #     This case aims to test whether the demo function returns `1` if input is `None`.
    #     """
    #     # demo function test
    #     dir_path=os.path.join(os.environ['UNIT_TEST_DATA_ROOT'],'ifs_sim')
        
    #     csst_ifs_sim(dir_path,'DARK')
        
    #     self.assertTrue(
    #         1 == 1,
    #         "case 3 :DARK sim passes.",
    #     )
        
        
        
    # def test_ifs_sim_4(self):
    #     """
    #     Aim
    #     ---
    #     Test ifs sim function: LAMP case.

    #     Criteria
    #     --------
    #     Pass if the demo function returns `1`.

    #     Details
    #     -------
    #     The demo function returns the length of the input argument list.
    #     This case aims to test whether the demo function returns `1` if input is `None`.
    #     """
    #     # demo function test
    #     dir_path=os.path.join(os.environ['UNIT_TEST_DATA_ROOT'],'ifs_sim')
        
    #     csst_ifs_sim(dir_path,'LAMP')
        
    #     self.assertTrue(
    #         1 == 1,
    #         "case 4 :LAMP sim passes.",
    #     )
        
        
        
    # def test_ifs_sim_5(self):
    #     """
    #     Aim
    #     ---
    #     Test ifs sim function: FLAT case.

    #     Criteria
    #     --------
    #     Pass if the demo function returns `1`.

    #     Details
    #     -------
    #     The demo function returns the length of the input argument list.
    #     This case aims to test whether the demo function returns `1` if input is `None`.
    #     """
    #     # demo function test
    #     dir_path=os.path.join(os.environ['UNIT_TEST_DATA_ROOT'],'ifs_sim')
        
    #     csst_ifs_sim(dir_path,'FLAT')
        
    #     self.assertTrue(
    #         1 == 1,
    #         "case 5 :FLAT sim passes.",
    #     )
        
        
    # def test_ifs_sim_6(self):
    #     """
    #     Aim
    #     ---
    #     Test ifs sim function: hole case.
    
    #     Criteria
    #     --------
    #     Pass if the demo function returns `1`.
    
    #     Details
    #     -------
    #     The demo function returns the length of the input argument list.
    #     This case aims to test whether the demo function returns `1` if input is `None`.
    #     """
    #     # demo function test
    #     dir_path=os.path.join(os.environ['UNIT_TEST_DATA_ROOT'],'ifs_sim')
        
    #     csst_ifs_sim(dir_path,'LAMP', 'yes')
        
    #     self.assertTrue(
    #         1 == 1,
    #         "case 6 :Hole sim passes.",
    #     )
        
      